#version 120

const float PI = 3.14159265;

uniform float randrad;
uniform int time;

void main()
{
	vec4 pos = gl_Vertex;

	float frac = mod(time, 5000) / 5000;
	//pos.y = -mod(pos.y + frac * 50.0, 50.0);
	pos.y = pos.y - frac * randrad;

	float a0, a1;
	a0 = mod(time, 5000) / 5000 * 360.0 * (PI / 180.0);
	a1 = mod(time, 8000) / 8000 * 360.0 * (PI / 180.0);
	pos.x += sin(a0) * 2.0;
	pos.x += sin(a1) * 6.0;
	pos.z += cos(a0) * 2.0;
	pos.z += cos(a1) * 6.0;

	gl_FrontColor = gl_Color;
	gl_Position = gl_ModelViewProjectionMatrix * pos;
}

