#version 120

uniform sampler2D framebuffer;
uniform sampler3D clut;

void main()
{
	vec4 color = texture2D(framebuffer, gl_TexCoord[0].st);

	// color grading
	color = texture3D(clut, color.rgb);

	gl_FragColor = color;
}
