#version 120

uniform samplerCube	tex;
uniform float		time;
uniform vec3		sundir;
uniform vec3		camdir;

varying vec3		fragpos;

const vec4 suncolor	= vec4(1.0, 0.99, 0.98, 1.0);
const vec4 glarecolor	= vec4(1.0, 0.95, 0.95, 1.0);

void main()
{
	vec4 texcolor = textureCube(tex, gl_TexCoord[0].xyz);

	// note: these require adjustements if sun position changes
	/*const float sunsz = 0.112;
	const float p = 6.0;

	vec3 sunpos = -sundir;
	float r = sunsz + 0.0005 * sin(time*2.0) + 0.00001 * sin(time*10.0);
	float dist = distance(sunpos, fragpos);
	float frac = 1.0 / dist * r;
	frac = pow(frac, p);

	vec4 color = mix(texcolor, suncolor, frac);	

	const float glare_amount = 0.2;
	color = mix(color, glarecolor, max(-dot(sundir, camdir), 0.0) * glare_amount);*/
	
	gl_FragColor = texcolor;
}
